Hi,

This patch enables building pim6sd successfully on machines where
glibc is higher than 2.3.x
in the mcast mcast-tools git tree (both for i386 and x86_64 machines).

Running next series of opetaions will succeed now:
git-clone git://git.linux-ipv6.org/gitroot/yoshfuji/mcast-tools.git
cd mcast-tools
aclocal; automake; autoconf
../configure
cd pim6sd
make


Regards,
Rami Rosen


Signed-off-by: Rami Rosen



On Tue, Apr 8, 2008 at 12:14 PM, David Miller wrote:
> From: "Andy Johnson"
> Date: Tue, 8 Apr 2008 09:57:39 +0300
>
>
> > mld6.c: In function 'init_mld6':
> > mld6.c:210: error: 'ICMP6_MEMBERSHIP_QUERY' undeclared (first use in
> > this function)
> > mld6.c:210: error: (Each undeclared identifier is reported only once
> > mld6.c:210: error: for each function it appears in.)
> > mld6.c:211: error: 'ICMP6_MEMBERSHIP_REPORT' undeclared (first use in
> > this function)
> > mld6.c:212: error: 'ICMP6_MEMBERSHIP_REDUCTION' undeclared (first use
> > in this function)
> > mld6.c: In function 'accept_mld6':
> > mld6.c:451: error: 'MLD_LISTENER_DONE' undeclared (first use in this function)

>
> Somewhere along the line ICMP6_MEMBERSHIP_* got changed
> into MLD_LISTENER_* in the glibc headers.
>
> Similarly MLD_LISTENER_DONE should be MLD_LISTENER_REDUCTION.
>
> In glibc-2.3.x both defines were provided, but after that the old
> ICMP6_* defines were completely removed.
>
> Probably Yoshifuji-san tests the user tool builds on a glibc-2.3.x or
> earlier system, which has the old deprecated defines.
>
> So if you simply change:
>
> ICMP6_MEMBERSHIP_* --> MLD_LISTENER_*
>
> and also:
>
> MLD_LISTENER_DONE --> MLD_LISTENER_REDUCTION
>
> the build will complete successfully.
>
>
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to majordomo@vger.kernel.org
> More majordomo info at http://vger.kernel.org/majordomo-info.html
>